package cn.iocoder.yudao.module.system.service.tenant;


import cn.iocoder.yudao.module.system.controller.admin.tenant.vo.enterprise.EnterpriseInfoRespVO;
import cn.iocoder.yudao.module.system.controller.admin.tenant.vo.enterprise.EnterpriseInfoSaveReqVO;

/**
 * 企业信息 Service 接口
 *
 * @author 系统管理员
 */
public interface EnterpriseInfoService {


    Long createEnterpriseInfo(EnterpriseInfoSaveReqVO createReqVO);

    void updateEnterpriseInfo(EnterpriseInfoSaveReqVO updateReqVO);

    EnterpriseInfoRespVO getEnterpriseInfo(Long tenantId);
}